#!/bin/bash

CURRENTD=$(dirname "$0")  	# looking at the current location of this file
CURRENTDIR=$CURRENTD"/"		# add a slash at the end of the located path for upcoming operations

if [ "$CURRENTD" == "." ];then	# looking if it was navigated into the dir of this file
CURRENTDIR=""			# current directory changes fron "." to ""
fi

# local kde4-folder
LOCALPREFIX=`kde4-config --localprefix`

# Installation type
insttype=$(kdialog --title "stampDate 1.0" --radiolist "Choose your options type" 0 "Install the package" on 1 "Exit  (cancel this install)" off) 
echo $insttype			# messages which type was chosen

# local installation
if [ "$insttype" = "0" ]; then
echo "chosen installation type: local"

# looking if local bin-folder exists
  if [ -d "$HOME"/bin ]; then
  echo "directory" "$HOME"/bin "exists"
  else
  mkdir "$HOME"/bin	# create local bin-folder
  echo "created directory" "$HOME"/bin
  fi

# looking if local servicemenu-folder exists
  if [ -d "$LOCALPREFIX"/share/kde4/services/ServiceMenus ]; then
  echo "directory" "$LOCALPREFIX"/share/kde4/services/ServiceMenus "exists"
  else
  mkdir "$LOCALPREFIX"/share/kde4/services/ServiceMenus	# create local servicemenu-folder
  echo "created directory" "$LOCALPREFIX"/share/kde4/services/ServiceMenus
  fi

cd "$CURRENTDIR"src		# change to src-dir inside the installation folder

# copies *.desktop-files to local ServiceMenu dir
cp stampdate.desktop "$LOCALPREFIX"/share/kde4/services/ServiceMenus
# copies all scripts to local bin dir
cp stampDate.sh "$HOME"/bin

# following lines will be removed in next release
#rm "$LOCALPREFIX"/share/kde4/services/ServiceMenus/extract.desktop
#rm "$LOCALPREFIX"/share/kde4/services/ServiceMenus/extract_pw.desktop
#rm "$HOME"/bin/compress_7ZIP2.sh
#rm "$HOME"/bin/extract.sh
#rm "$HOME"/bin/extract_to_folder.sh
#rm "$HOME"/bin/extract_to.sh
#rm "$HOME"/bin/extract_pw.sh
#rm "$HOME"/bin/extract_pw_to_folder.sh
#rm "$HOME"/bin/extract_pw_to.sh

echo "Installation done!"	# message for successful installation
kdialog --title "Stamp date 1.0" --msgbox "Installation done!" 	# dialog for successful installation

# systemwide installation
elif [ "$insttype" == "1" ]; then
echo "Installation aborted!"	# error-message for aborted installation
kdialog --title "ExtractAndCompress 1.4" --error "Installation aborted!"  # error-dialog for aborted installation

fi

